Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 51)
@@ -4681,6 +4797,110 @@
         }
         #endregion
 
+        #region ArraryListよりデータ構造体配列へセットする（中項目）
+        /// <summary>
+        /// ArraryListよりデータ構造体配列へセットする（中項目）
+        /// </summary>
+        private void SetArraryList2StructDataType2(ArrayList DataList,
+                                                    ref List<EstimateDataBody> MiddleList,
+                                                    ref List<KeyValuePair<int, int>> linkList)
+        {
+            try
+            {
+                int EstimateCnt = Enum.GetNames(typeof(IOEstimateDataBody.TableColumn)).Length;
+
+                foreach (object[] objRec in DataList)
+                {
+                    // 積算見積書ボディデータセット
+                    EstimateDataBody MiddleRec = new EstimateDataBody();
+                    MiddleRec.ConstructionCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.ConstructionCode]);        // 工事コード
+                    MiddleRec.PageCount = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.PageCount]);                      // ページ番号
+                    MiddleRec.Category = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.Category]);	                    // 頁区分
+                    MiddleRec.UnionComponentCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.UnionComponentCode]);    // 所属構成キー
+                    MiddleRec.ComponentCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.ComponentCode]);	            // 構成キー
+                    MiddleRec.ItemCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.ItemCode]);	                    // 工種キー
+                    MiddleRec.SelectComponent = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.SelectComponent]);          // 選択構成キー
+                    MiddleRec.PageTitle = CommonMotions.cnvString(objRec[(int)IOEstimateDataBody.TableColumn.PageTitle]);                   // ページ表示名
+                    MiddleRec.DetailLineCount = CommonMotions.cnvInt(objRec[(int)IOEstimateDataBody.TableColumn.DetailLineCount]);          // 明細行番号
+                    MiddleRec.EntryDate = CommonMotions.cnvDate(objRec[(int)IOEstimateDataBody.TableColumn.UpdateDate]);                    // 登録日付
+                    MiddleRec.UpdateDate = CommonMotions.cnvDate(objRec[(int)IOEstimateDataBody.TableColumn.UpdateDate]);                   // 更新日付
+                    MiddleList.Add(MiddleRec);
+
+                    // 構成データセット
+                    KeyValuePair<int, int> wrkPair = new KeyValuePair<int, int>(CommonMotions.cnvInt(objRec[EstimateCnt]), CommonMotions.cnvInt(objRec[EstimateCnt + 1]));
+                    linkList.Add(wrkPair);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ArraryListよりデータ構造体配列へセットする（小項目）
+        /// <summary>
+        /// ArraryListよりデータ構造体配列へセットする（小項目）
+        /// </summary>
+        private void SetArraryList2StructDataType3(ArrayList DataList,
+                                                    ref List<EstimateDataDetail> SmallList,
+                                                    ref List<ConstructionItemMaster> MciList,
+                                                    ref List<string> SubConstr)
+        {
+            try
+            {
+                int EstimateCnt = Enum.GetNames(typeof(IOEstimateDataDetail.TableColumn)).Length;
+                int ItemCnt = Enum.GetNames(typeof(IOMConstructionItem.NameColumn)).Length;
+
+                foreach (object[] objRec in DataList)
+                {
+                    // 積算見積書ボディデータセット
+                    EstimateDataDetail SmallRec = new EstimateDataDetail();
+                    SmallRec.ConstructionCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.ConstructionCode]);   // 工事コード
+                    SmallRec.PageCount = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.PageCount]);                 // ページ番号
+                    SmallRec.LineCount = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.LineCount]);	                // 行番号
+                    SmallRec.DataType = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.DataType]);                   // データタイプ
+                    SmallRec.ComponentCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.ComponentCode]);	        // 構成キー
+                    SmallRec.ItemCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.ItemCode]);	                // 工種キー
+                    SmallRec.SpecCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.SpecCode]);	                // 規格・寸法キー
+                    SmallRec.ItemName = CommonMotions.cnvString(objRec[(int)IOEstimateDataDetail.TableColumn.ItemName]);	            // 作業名称
+                    SmallRec.SpecName = CommonMotions.cnvString(objRec[(int)IOEstimateDataDetail.TableColumn.SpecName]);	            // 工種名称／規格・寸法名称
+                    SmallRec.UnitCount = CommonMotions.cnvDouble(objRec[(int)IOEstimateDataDetail.TableColumn.UnitCount]);	            // 数量
+                    SmallRec.UnitName = CommonMotions.cnvString(objRec[(int)IOEstimateDataDetail.TableColumn.UnitName]);	            // 単位
+                    SmallRec.UnitPrice = CommonMotions.cnvDouble(objRec[(int)IOEstimateDataDetail.TableColumn.UnitPrice]);	            // 単価
+                    SmallRec.LineTotal = CommonMotions.cnvDouble(objRec[(int)IOEstimateDataDetail.TableColumn.LineTotal]);	            // 金額
+                    SmallRec.Note = CommonMotions.cnvString(objRec[(int)IOEstimateDataDetail.TableColumn.Note]);	                    // 備考
+                    SmallRec.CompanyCode = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.CompanyCode]);	            // 協力会社コード
+                    SmallRec.MyExpensesFlg = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.MyExpensesFlg]);         // 自社経費フラグ
+                    SmallRec.InputFlg = CommonMotions.cnvInt(objRec[(int)IOEstimateDataDetail.TableColumn.InputFlg]);                   // 入力フラグ
+                    SmallRec.EntryDate = CommonMotions.cnvDate(objRec[(int)IOEstimateDataDetail.TableColumn.EntryDate]);                // 登録日付
+                    SmallRec.UpdateDate = CommonMotions.cnvDate(objRec[(int)IOEstimateDataDetail.TableColumn.UpdateDate]);              // 更新日付
+                    SmallList.Add(SmallRec);
+
+                    // 構成データセット
+                    ConstructionItemMaster MciRec = new ConstructionItemMaster();
+                    MciRec.ItemCode = CommonMotions.cnvInt(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.ItemCode]);	            // 工種キー
+                    MciRec.DisplayOrder = CommonMotions.cnvInt(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.DisplayOrder]);	    // 表示順
+                    MciRec.ItemName = CommonMotions.cnvString(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.ItemName]);	        // 名称
+                    MciRec.SubitemsFlg = CommonMotions.cnvInt(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.SubitemsFlg]);	    // 下位項目フラグ
+                    MciRec.MyExpensesFlg = CommonMotions.cnvInt(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.MyExpensesFlg]);   // 自社経費フラグ
+                    MciRec.DeleteFlg = CommonMotions.cnvInt(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.DeleteFlg]);	        // 削除フラグ
+                    MciRec.EntryDate = CommonMotions.cnvDate(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.EntryDate]);          // 登録日付
+                    MciRec.UpdateDate = CommonMotions.cnvDate(objRec[EstimateCnt + (int)IOMConstructionItem.NameColumn.UpdateDate]);        // 更新日付
+                    MciList.Add(MciRec);
+
+                    // 協力会社名称
+                    string SubConstrName = CommonMotions.cnvString(objRec[EstimateCnt + ItemCnt]);
+                    SubConstr.Add(SubConstrName);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 登録ボタン押下後の登録処理
         /// <summary>
         /// 登録ボタン押下後の登録処理
@@ -5520,36 +5740,80 @@
         /// <returns></returns>
         private bool GetCommentEditPermission(int personcode)
         {
-            // システム権限によってデータアクセスに制限がある
-            if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+            try
             {
-                // システム管理者（すべて対象）
-                return true;
-            }
-            else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-            {
-                // 最高機密管理者（すべて対象）
-                return true;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    // システム権限によってデータアクセスに制限がある
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                    {
+                        // システム管理者（すべて対象）
+                        return true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                    {
+                        // 最高機密管理者（すべて対象）
+                        return true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
+                    {
+                        // 統括機密管理者（自書込みコード以外は編集不可）
+                        if (personcode == CommonMotions.LoginUserData.PersonCode) return true;
+                        else return false;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                    {
+                        // 機密管理者（自書込みコード以外は編集不可）
+                        if (personcode == CommonMotions.LoginUserData.PersonCode) return true;
+                        else return false;
+                    }
+                    else
+                    {
+                        // 一般ユーザー
+                    }
+                }
+                else
+                {
+                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 特別権限
+                    int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者権限
+                    int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長権限
 
+                    // システム権限によってデータアクセスに制限がある
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    {
+                        // システム管理者（すべて対象）
+                        return true;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
+                    {
+                        // 最高機密管理者（すべて対象）
+                        return true;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key)
+                    {
+                        // 統括機密管理者（自書込みコード以外は編集不可）
+                        if (personcode == CommonMotions.LoginUserData.PersonCode) return true;
+                        else return false;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)
+                    {
+                        // 機密管理者（自書込みコード以外は編集不可）
+                        if (personcode == CommonMotions.LoginUserData.PersonCode) return true;
+                        else return false;
+                    }
+                    else
+                    {
+                        // 一般ユーザー
+                    }
+                }
+                return false;
             }
-            else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
+            catch (System.Exception ex)
             {
-                // 統括機密管理者（自書込みコード以外は編集不可）
-                if (personcode == CommonMotions.LoginUserData.PersonCode) return true;
-                else return false;
-            }
-            else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-            {
-                // 機密管理者（自書込みコード以外は編集不可）
-                if (personcode == CommonMotions.LoginUserData.PersonCode) return true;
-                else return false;
-            }
-            else
-            {
-                // 一般ユーザー
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-
         }
         #endregion
 
@@ -5655,12 +5919,10 @@
         /// </summary>
         private void FormLoadParentInput()
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             IOConstructionLink LinkDB = new IOConstructionLink();
             try
             {
-                // 金額増減の子画面以外は処理しない
-                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Tying) return;
-                
                 // 表示中はアクティブにして抜ける
                 if (m_frmParent != null)
                 {
@@ -5668,21 +5930,38 @@
                     return;
                 }
 
+                // 工事選択画面表示
+                frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                frmTying.ConstructionCode = m_ConstructionCode;
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+                // 自分を選んだ場合は処理しない
+                if (SelConstrCode == m_ConstructionCode) return;
+
                 // 表示ボタンの表示ON
-                panel3.Visible = true;
+                //panel3.Visible = true;
 
-                // 親の工事番号を取得する
-                string strSQL = String.Format(" WHERE FluctuationCode = {0}", m_ConstructionCode);
-                ConstructionLink LinkRec = new ConstructionLink();
-                if (!LinkDB.SelectAction(strSQL, ref LinkRec)) return;
+                //// 親の工事番号を取得する
+                //string strSQL = String.Format(" WHERE FluctuationCode = {0}", m_ConstructionCode);
+                //ConstructionLink LinkRec = new ConstructionLink();
+                //if (!LinkDB.SelectAction(strSQL, ref LinkRec)) return;
 
                 // 積算見積書入力起動
                 m_frmParent = new FrmEstimateInput();
 
-                m_frmParent.ConstructionCode = LinkRec.ConstructionCode;
+                //m_frmParent.ConstructionCode = LinkRec.ConstructionCode;
+                m_frmParent.ConstructionCode = SelConstrCode;
                 m_frmParent.SubForm = true;
                 m_frmParent.ShowInTaskbar = true;
                 m_frmParent.DualModeFlg = true;
+                m_frmParent.Panel3Visible = false;
 
                 // クロースドハンドラをこちらで定義する
                 m_frmParent.FormClosed += new FormClosedEventHandler(FormCloseParentInput);
@@ -5693,6 +5972,7 @@
                 parentPO.X += 50;
                 parentPO.Y += 50;
                 m_frmParent.Location = parentPO;
+
             }
             catch (System.Exception ex)
             {
@@ -5701,6 +5981,7 @@
             finally
             {
                 LinkDB.close(); LinkDB = null;
+                frmTying.Dispose(); frmTying = null;
             }
         }
         #endregion
